Bug 86278 - unable to restore rhn-applet-gui after removal
unable to restore rhn-applet-gui after removal
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-18 14:33 EST by Landon Curt Noll
Modified: 2007-04-18 12:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-06 03:58:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Landon Curt Noll 2003-03-18 14:33:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
Using KDE (the most recently up2date version) under RH8.0 once the
rhn-applet-gui  has been removed, there is no direct way to
restore it to the desktop.

The RedHat Alert Notification Tool says, during the initial
configuration:

>   If you do not wish to have this application appear on your panel,
>   click the 'Remove From Panel' button below. Once removed, you can
>   return it to your panel at any time by choosing 'Red Hat Network
>   Alert Notification Tool' from 'Add to Panel|Applet|Monitors' in the
>   Panel menu.

There is no "monitors" under the KDE (right click)|Add|Applet menu.

If one runs /usr/bin/rhn-applet-gui by hand from a terminal
window, then the applet does re-appear.  However the applet
will not reappear after logging out and back in.

We have gone to a reasonable effort to setup KDE desktop environments
for a number of systems.  We would prefer to NOT simply blow away
our entire KDE setup simply to have KDE rebuild a virgin desktop
with the rhn-applet-gui that starts a login time.

Version-Release number of selected component (if applicable):
kdebase-3.0.3-14

How reproducible:
Always

Steps to Reproduce:
1.remove the rhn-applet-gui from a KDE desktop environment
2.try to restore the applet
3.logout and log back in
    

Actual Results:  Once the rhn-applet-gui is removed from a KDE desktop, one cannot
add the applet back in such a way that it will reappear at the
next login

Expected Results:  By right clicking on the KDE menu bar and selecting Add|Applet,
one will be able to select a "monitor" (as per instructions
from the RedHat Alert Notification Tool) that will add
rhn-applet-gui back to the desktop.

Additional info:

I had a dialog with the RedHat network folks about this problem.
They suggested that I encountered a bug and requested that
I report it.

Here is a sample of my most recent exchange with the
RedHat Network Team:

From rhn-feedback+278759-35811@rhn.redhat.com  Tue Mar 18 00:15:40 2003
Date: Tue, 18 Mar 2003 03:15:36 -0500
To: Landon Noll <redhat-mail@asthe.com>
From: rhn-feedback+278759-35811@rhn.redhat.com
Subject: Re: Re: how do I bring back to rhn-applet-gui?
Reply-To: rhn-feedback+278759-35811@rhn.redhat.com

Dear Sir,

Thank you for writing to RedHat network.

Yes, you are right,I think it is a bug.

Bugs can be reported at http://bugzilla.redhat.com/bugzilla -- the product is "R
ed Hat Network", and the various components are prefixed with "RHN/".

Please be sure to read the FAQ and review all of the open bugs before submitting
 your bug.

It is a good solution to add the /usr/bin/rhn-applet-gui command to the login
command list.

Feel free to write us back.

Regards
RedHat Network Team

Landon Noll <redhat-mail@asthe.com> writes:

> > > By mistake I removed the rhn-applet-gui from
> > > my RH8.0 KDE desktop.
>
> > You can do the following to re-building your desktop.
> > 1.Run these command at level 3
> > rm -rf ~/.gc*
> > rm -rf ~/.gnome*
> > 2. log in system at level 5
>
> I performed the following, but my KDE setup did not regain the
> rhn-applet-gui
> applet.  I did login via Gnome and it does show up under that
> environment.
>
> I'm hoping you won't tell me that I need to blow away my KDE environment.
> A fair amount of effort went into its 12 screen setup and preferences ...
>
> When I launch rhn-applet-gui by hand, and go thru the preferences menu
> I read:
>
>     If you do not wish to have this application appear on your panel,
>     click the 'Remove From Panel' button below. Once removed, you can
>     return it to your panel at any time by choosing 'Red Hat Network
>     Alert Notification Tool' from 'Add to Panel|Applet|Monitors' in the
>     Panel menu.
>
> There is no "monitors" under the KDE (right click)|Add|Applet menu.
> (Perhaps the above text refers to Gnome?).
>
> Is there a way to have KDE execute certain commands at login time?
>
> If there is, then I could simply add the /usr/bin/rhn-applet-gui command
> to the login command list.
>
> chongo () /\oo/\
Comment 1 Landon Curt Noll 2003-03-18 15:07:36 EST
If the KDE login launch enhancement (see bug #86280) had been in place, 
then I could have worked around this problem by simply adding 
/usr/bin/rhn-applet-gui to my KDE 'launch these programs at 
login time' list. 
Comment 2 Alexandre Cavalcante Alencar 2003-04-15 13:54:12 EDT
I'm also having the same problem in red hat 8 and 9 in gnome. In my case, the
icon of rhn were very distant of the clock and were not possible moves it for
next to the clock (right click, move and to drag for next to the clock) the area
that the icon occupied, were one 3 times bigger that it. When I removed, I did
not obtain more to add following the steps informed for the assistant. When I
call the rhn-applet-gui for the console, it does not initiate, I left about 30
minutes and nothing...
Comment 3 Landon Curt Noll 2004-04-06 03:58:54 EDT
This appears to have been fixed in RH9 and RHEL3 with the KDE 
RedHat Network Alert ICON menu item (under System Tools).d 

Note You need to log in before you can comment on or make changes to this bug.